Saltar al contenido principal
GET
/
agent
/
{projectId}
/
jobs
Get all agent jobs
curl --request GET \
  --url https://api.mintlify.com/v1/agent/{projectId}/jobs \
  --header 'Authorization: Bearer <token>'
{
  "allSessions": [
    {
      "sessionId": "<string>",
      "subdomain": "<string>",
      "branch": "<string>",
      "haulted": true,
      "haultReason": "completed",
      "pullRequestLink": "<string>",
      "messageToUser": "<string>",
      "todos": [
        {
          "content": "<string>",
          "status": "pending",
          "priority": "high",
          "id": "<string>"
        }
      ],
      "createdAt": "2023-11-07T05:31:56Z"
    }
  ]
}

Uso

Este endpoint obtiene todos los trabajos del agente para el domain especificado, ofreciendo una visión general de todas las actividades del agente y su estado actual. Es útil para supervisar y gestionar múltiples trabajos del agente, tanto concurrentes como históricos.

Respuesta

Utilice este endpoint para obtener una vista completa de todas las sesiones anteriores del agente.

Autorizaciones

Authorization
string
header
requerido

The Authorization header expects a Bearer token. Create an Admin API Key here.

Parámetros de ruta

projectId
string
requerido

Your project ID. Can be copied from the API keys page in your dashboard.

Respuesta

200 - application/json

All agent jobs retrieved successfully

allSessions
object[]

Array of all agent sessions for the domain.